Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.dynamicconfig.api
Interface PluginParameterConstraintDynamicSet

All Superinterfaces:
  PluginParameterConstraint

    public interface PluginParameterConstraintDynamicSet

extends PluginParameterConstraint

Used to specify a constraint that is a set of values that is dynamically computed. This class provides the parameters required to compute the set dynamically. The configuration framework uses these parameters to get the values as needed. For example, the `WORKFLOW_MODULE` role supports a dynamic set identifier for input ports. User may specify additional parameters, like from-port type, to restrict the return values to a smaller set instead of all possible input ports being returned.

Method Summary
`String` | `getDynamicSetID()` Returns the identifier for the dynamic set that this constraint describes.
`Map` | `getParameters()` Returns the parameters to compute the dynamic set, in addition to the identifier.
`String` | `getRole()` Returns the dynamic configuration role to which this belongs.

Methods inherited from interface com.connecterra.ale.dynamicconfig.api.PluginParameterConstraint
`getDescription, setDescription, validate`

Method Detail

### getRole

    String getRole()

  Returns the dynamic configuration role to which this belongs. This is used by the configuration framework to request the set of values from the appropriate place. Supported roles are defined in `PluginMeta.Role`.

  Returns:
    `PluginMeta.Role` to which this belongs

### getDynamicSetID

    String getDynamicSetID()

  Returns the identifier for the dynamic set that this constraint describes. Different configuration roles may support different sets of identifiers and hence interpretation of the identifier is dependent on the roles.

  Returns:
    the identifier for the dynamic set that this constraint describes

### getParameters

    Map getParameters()

  Returns the parameters to compute the dynamic set, in addition to the identifier. These are used to constrain the set further. For example, from port's type may be specified as additional parameter on a dynamic set to get all edge flow module input ports.

  Returns:
    Map of name value pairs that contains the additional parameters for computing the dynamic set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD